#ifndef _TSIMPLE_H_
#define _TSIMPLE_H_

#include <iostream>

#define TRUE  1
#define FALSE 0

template <class T>
class TSimpleList
{
  public:
    TSimpleList();
    ~TSimpleList() {};
    void clear();
    void add(const T &x);
    int member(const T &x) const;
    int maximumCapacity() const;
    int currentSize() const;
/*
friend ostream & operator << (ostream &os, const T &a);
*/
  private:
    enum {maxSize_ = 100};
    T item_[maxSize_];
    int size_;

  
};
 
template <class T>
class TSimplewithIt: public TSimpleList<T>
{
};

#endif
